package jp.co.isid.elportal.fileconvert.core;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import jp.co.isid.elportal.base.config.ApplicationConfiguration;

/**
 *
 * アプリの初期化処理を行うServletContextListenerです。
 *
 */
public class ApplicationInitializer implements ServletContextListener {

	/**
	 * Webアプリの起動時に呼ばれるメソッドです。
	 * @param event ServletContextEvent
	 * @see javax.servlet.ServletContextListener#contextInitialized(javax.servlet.ServletContextEvent)
	 */
	public void contextInitialized(ServletContextEvent event) {
		 //システムパラメータ読み込み
		 ApplicationConfiguration.instance().init();
	}

	/**
	 * Webアプリのシャットダウン時に呼ばれるメソッドです。
	 * @param event ServletContextEvent
	 * @see javax.servlet.ServletContextListener#contextDestroyed(javax.servlet.ServletContextEvent)
	 */
	public void contextDestroyed(ServletContextEvent event) {
		//パラメータ開放
        ApplicationConfiguration.instance().destory();
	}

}
