package jp.co.isid.elportal.fileconvert.service.convert;


/**
 *
 * 記事情報クラス
 *
 */
public class ArticleVO {

    /** 見出し */
    private String _acTitle = null;

    /** 媒体名 */
    private String _mediaNm = null;

    /** 発行日 */
    private String _issueDate = null;

    /** 朝夕判別 */
    private String _moveType = null;

    /** 面名 */
    private String _frameNm = null;

    /** 面 */
    private String _frameNo = null;

    /** 巻 */
    private String _tome = null;

    /** 号 */
    private String _issue = null;

    /** ページ */
    private String _pages = null;

    /** AC番号 */
    private String _acNo = null;

    /** 1年超えの原文か判定するフラグ */
    private boolean _overYearOrgFlg = false;

    /** 原文配列オブジェクト */
    private OrgTextVO[] _orgTexts = null;

    /** 注記 */
    private String _noteAll = null;

    /** 記事面積 */
    private String _area = null;

    /** 原文印刷有無配列オブジェクト **/
    private boolean[] _orgFlgs = null;

    /**
     * 見出しを返します。
     *
     * @return 見出し
     */
    public String getAcTitle() {
        return _acTitle;
    }

    /**
     * 見出しを設定します。
     *
     * @param acTitle 見出し
     */
    public void setAcTitle(String acTitle) {
        this._acTitle = acTitle;
    }

    /**
     * 媒体名を返します。
     *
     * @return 媒体名
     */
    public String getMediaNm() {
        return _mediaNm;
    }

    /**
     * 媒体名を設定します。
     *
     * @param mediaNm 媒体名
     */
    public void setMediaNm(String mediaNm) {
        this._mediaNm = mediaNm;
    }

    /**
     * 発行日を返します。
     *
     * @return 発行日
     */
    public String getIssueDate() {
        return _issueDate;
    }

    /**
     * 発行日を設定します。
     *
     * @param issueDate 発行日
     */
    public void setIssueDate(String issueDate) {
        this._issueDate = issueDate;
    }

    /**
     * 朝夕判別を返します。
     *
     * @return 朝夕判別
     */
    public String getMoveType() {
        return _moveType;
    }

    /**
     * 朝夕判別を設定します。
     *
     * @param moveType 朝夕判別
     */
    public void setMoveType(String moveType) {
        this._moveType = moveType;
    }

    /**
     * 面名を返します。
     *
     * @return 面名
     */
    public String getFrameNm() {
        return _frameNm;
    }

    /**
     * 面名を設定します。
     *
     * @param frameNm 面名
     */
    public void setFrameNm(String frameNm) {
        this._frameNm = frameNm;
    }

    /**
     * 面番号を返します
     *
     * @return 面番号
     */
    public String getFrameNo() {
        return _frameNo;
    }

    /**
     * 面番号を設定します。
     *
     * @param frameNo 面番号
     */
    public void setFrameNo(String frameNo) {
        this._frameNo = frameNo;
    }

    /**
     * 巻を返します。
     *
     * @return 巻
     */
    public String getTome() {
        return _tome;
    }

    /**
     * 巻を設定します。
     *
     * @param tome 巻
     */
    public void setTome(String tome) {
        this._tome = tome;
    }

    /**
     * 号を返します。
     *
     * @return 号
     */
    public String getIssue() {
        return _issue;
    }

    /**
     * 号を設定します。
     *
     * @param issue 号
     */
    public void setIssue(String issue) {
        this._issue = issue;
    }

    /**
     * ページ番号を返します。
     *
     * @return ページ番号
     */
    public String getPages() {
        return _pages;
    }

    /**
     * ページ番号を設定します。
     *
     * @param pages ページ番号
     */
    public void setPages(String pages) {
        this._pages = pages;
    }


    /**
     * AC番号を取得します。
     *
     * @return AC番号
     */
    public String getAcNo() {
        return _acNo;
    }

    /**
     * AC番号を設定します。
     *
     * @param acNo AC番号
     */
    public void setAcNo(String acNo) {
        this._acNo = acNo;
    }

    /**
     * 原文が一年前のものかを判定します。
     *
     * @return 一年超えか否か
     */
    public boolean getOverYearOrgFlg() {
        return _overYearOrgFlg;
    }

    /**
     * 原文が一年前のものか設定します。<br>
     * 1年超えの原文は、trueを設定してください。
     *
     * @param overYearOrgFlg 一年超えか否か
     */
    public void setOverYearOrgFlg(boolean overYearOrgFlg) {
        this._overYearOrgFlg = overYearOrgFlg;
    }

    /**
     * 原文オブジェクトを取得します。
     *
     * @return 原文オブジェクトの配列
     */
    public OrgTextVO[] getOrgTexts() {
        return _orgTexts;
    }

    /**
     * 原文オブジェクトを設定します。
     *
     * @param orgTexts 原文オブジェクトの配列
     */
    public void setOrgTexts(OrgTextVO[] orgTexts) {
        this._orgTexts = orgTexts;
    }

    /**
     * 注記を返します。<br>
     * @return 注記
     */
    public String getNoteAll() {
        return _noteAll;
    }

    /**
     * 注記を設定します。
     * @param noteAll 注記
     */
    public void setNoteAll(String noteAll) {
        this._noteAll = noteAll;
    }

    /**
     * 記事面積を返します。<br>
     * @return 記事面積
     */
    public String getArea() {
        return _area;
    }

    /**
     * 記事面積を設定します。
     * @param area 記事面積
     */
    public void setArea(String area) {
        this._area = area;
    }

    /**
     * 原文印刷有無配列オブジェクトを返却します
     *
     * @return boolean[] 原文印刷有無配列オブジェクト
     */
    public boolean[] getOrgFlgs() {
        return this._orgFlgs;
    }

    /**
     * 原文印刷有無配列オブジェクトを設定します
     *
     * @param args 原文印刷有無配列オブジェクト
     */
    public void setOrgFlgs(boolean[] args) {
        this._orgFlgs = args;
    }

    /**
     * 印刷する原文があるかどうか
     *
     * @param index 配列のインデックス
     * @return boolean true - ある、false - ない
     */
    public boolean isOutputOrg(int index) {

        // 原文印刷なし
        if (_orgFlgs == null || _orgFlgs.length == 0) {
            return false;
        }

        // インデックス不正
        if (_orgFlgs.length <= index) {
            return false;
        }

        return _orgFlgs[index];
    }

    /**
     * 見出し印刷するかどうか
     *
     * @return boolean true - する、false - しない
     */
    public boolean isOutputAcno() {

        // 原文印刷なし
        if (_orgFlgs == null || _orgFlgs.length == 0) {
            return false;
        }

        // １個でも出力できなかったらNG
        boolean result = true;
        for (boolean flg : _orgFlgs) {
            if (!flg) {
                result = false;
                break;
            }
        }

        return result;
    }

    /**
     * 原文印刷枚数を返却します
     *
     * @return int 原文印刷枚数
     */
    public int getOutputOrgCount() {

        // 原文印刷なし
        if (_orgFlgs == null || _orgFlgs.length == 0) {
            return 0;
        }

        int count = 0;
        for (boolean flg : _orgFlgs) {
            if (flg) {
                count++;
            }
        }

        return count;
    }
}
